Mono.Security [00 24 00 00 04 80 00 00 94 00 00 00 06 02 00 00 00 24 00 00 52 53 41 31 00 04 00 00 01 00 01 00 79 15 99 77 D2 D0 3A 8E 6B EA 7A 2E 74 E8 D1 AF CC 93 E8 85 19 74 95 2B B4 80 A1 2C 91 34 47 4D 04 06 24 47 C3 7E 0E 68 C0 80 53 6F CF 3C 3F BE 2F F9 C9 79 CE 99 84 75 E5 06 E8 CE 82 DD 5B 0F 35 0D C1 0E 93 BF 2E EE CF 87 4B 24 77 0C 50 81 DB EA 74 47 FD DA FA 27 7B 22 DE 47 D6 FF EA 44 96 74 A4 F9 FC CF 84 D1 50 69 08 93 80 28 4D BD D3 5F 46 CD FF 12 A1 BD 78 E4 EF 00 65 D0 16 DF] 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. System.Object This class provides the primitives defined in the PKCS #1 v.2.1 standard.

You shouldn't directly use the PKCS#1 primitives unless you are building your own algorithms based on RSA. Instead you should use the Formatter and Deformatter provided by the framework (which are built using these primitives).

The document "PKCS#1: RSA Cryptography Standard" is available from RSA Laboratories at http://www.rsasecurity.com/rsalabs/pkcs/pkcs-1/index.html

PKCS #1 v.2.1 is also published byt the IETF as RFC3447.

- Method
  System.Byte[] `` `` `` an instance that has a private key a required for the MGF the encrypted message RSA Encryption Scheme OAEP (Optimal Asymmetric Encryption Padding) Decryption. the decrypted message

  See for the actual framework implementation.

  See section 7.1.2 of PKCS #1 v2.1 for more details.

  1.0.5000.0
  2.0.0.0
- Method
  System.Byte[] `` `` an instance that has a private key the encrypted message RSA Encryption Scheme PKCS1 v1.5 Decryption. the decrypted message

  See for the actual framework implementation.

  See section 7.2.2 of PKCS #1 v2.1 for more details.

  1.0.5000.0
  2.0.0.0
- Method
  System.Byte[] `` `` `` a to include it's OID into the padding. the message (generally a hash) to be encoded length of the encoded message Encoding Method for Signature with Appendix PKCS1 v1.5. the encoded message

  See section 9.2 of PKCS #1 v2.1 for more details.

  1.0.5000.0
  2.0.0.0
- Method
  System.Byte[] `` `` `` `` an instance a required for the MGF a to generate random data required for the padding the message to encrypt RSA Encryption Scheme OAEP (Optimal Asymmetric Encryption Padding) Encryption. the encrypted message

  See for the actual framework implementation.

  See section 7.1.1 of PKCS #1 v2.1 for more details.

  1.0.5000.0
  2.0.0.0
- Method
  System.Byte[] `` `` `` a instance a to generate random data required for the padding the message to encrypt RSA Encryption Scheme PKCS1 v1.5 Encryption. the encrypted message

  See for the actual framework implementation.

  See section 7.2.1 of PKCS #1 v2.1 for more details.

  1.0.5000.0
  2.0.0.0
- Method
  System.Byte[] `` `` an array of bytes representing a large integer. the length the resulting octet string. Integer to Octet String primitive. a byte array (named an octet string in PKCS#1) containing the encoded integer. See section 4.1 of PKCS #1 v2.1 for more details. 1.0.5000.0 2.0.0.0
- Method
  System.Byte[] `` `` the to convert the length the resulting octet string. Integer to Octet String primitive. a byte array (named an octet string in PKCS#1) containing the encoded integer. See section 4.1 of PKCS #1 v2.1 for more details. 1.0.5000.0 2.0.0.0
- Method
  System.Byte[] `` `` `` a to generate the mask seed used to generate the mask length of the mask Mask Generation Function #1 the mask

  See for the actual framework implementation.

  See section B.2.1 of PKCS #1 v2.1 for more details.

  1.0.5000.0
  2.0.0.0
- Method
  System.Byte[] `` a byte array (named an octet string in PKCS#1) containing the encoded integer. Octet String to Integer primitive. an array of bytes representing a large non-negative integer. See section 4.2 of PKCS #1 v2.1 for more details. 1.0.5000.0 2.0.0.0
- Method
  System.Byte[] `` `` an instance that has a private key the encrypted message RSA Decryption Primitive. the decrypted message See section 5.1.2 of PKCS #1 v2.1 for more details. 1.0.5000.0 2.0.0.0
- Method
  System.Byte[] `` `` an instance the message to encrypt RSA Encryption Primitive. the encrypted message See section 5.1.1 of PKCS #1 v2.1 for more details. 1.0.5000.0 2.0.0.0
- Method
  System.Byte[] `` `` an instance that has a private key the message (generally a properly padded hash) to sign RSA Signature Primitive #1. the message signature See section 5.2.1 of PKCS #1 v2.1 for more details. 1.0.5000.0 2.0.0.0
- Method
  System.Byte[] `` `` an instance a message signature RSA Verification Primitive #1. the message (generally a properly padded hash) See section 5.2.2 of PKCS #1 v2.1 for more details. 1.0.5000.0 2.0.0.0
- Method
  System.Byte[] `` `` `` an instance that has a private key a required for the PKCS#1 encoding the hash value to sign RSA Signature Scheme with Appendix PKCS1 v1.5 Signature generation the message signature

  See for the actual framework implementation.

  See section 8.2.1 of PKCS #1 v2.1 for more details.

  1.0.5000.0
  2.0.0.0
- Method
  System.Boolean `` `` `` `` a instance required for the PKCS#1 encoding the hash value to verify a message signature RSA Signature Scheme with Appendix PKCS1 v1.5 Signature verification True if the signature can be verified, false otherwise.

  See for the actual framework implementation.

  See section 8.2.2 of PKCS #1 v2.1 for more details.

  1.0.5000.0
  2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  System.Boolean `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.